<!DOCTYPE html>
<html lang="es">
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
		<meta http-equiv="X-UA-Compatible" content="ie=edge">
		
		{% load static %}

			<link rel="stylesheet" href="{% static 'css/bootstrap.min.css' %}"/>
            <link rel="stylesheet" type="text/css" href="{% static 'css/style.css' %}"/>
			<link rel="stylesheet" type="text/css" href="{% static 'css/estilos.css' %}"/>
			<title>{% block title %}{% endblock %} - JAGUARETE_KAA</title>
	</head>

	<body>
	
		<header>
			<nav class="navbar navbar-dark bg-dark">
				<a class="navbar-brand" href="{% url 'juguetes' %}">
				  <img src="{% static 'images/logo.jpg' %}" alt="140" width="140" height="140" class="d-inline-block align-text-top">
				</a>
				<a class="navbar-brand" href="HOME">
				<form method="POST" action="/" class="mt-2" autocomplete="off" alt="140" width="140" height="140">
					<ul class="navbar-nav ml-auto">
						{% if user.is_authenticated %}
							<li class="nav-item">
								<a class="nav-link" href="#">Hola {{ user.username }}</a>
							</li>
							<li class="nav-item">
								<a class="nav-link" href="{% url 'salir' %}">Cerrar Sesión</a>
							</li>
							
						{% else %}	
							<li class="nav-item">
								<a class="nav-link" href="{% url 'acceder' %}">Acceder</a>
							</li>
							<li class="nav-item">
								<a class="nav-link" href="{% url 'registro' %}">Registro</a>
							</li>
						{% endif %}
						{% if not user.is_staff %}
						<li class="nav-item">
							<a class="nav-link" href="{% url 'carro:carro' %}">
								<h5>Carrito</h5>
							</a>
						</li>
						{% endif %}
							
					</ul>
				</form>
			</nav>
<!-- 2do NAV DE MENU -->
            <nav class="navbar navbar-expand-lg navbar-light">
                <a class="navbar-brand"></a>
                <button class="btn btn-light navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
                    <span class="navbar-toggler-icono"></span>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="navbar-nav mr-auto font-weight-bolder">
                        <li class="nav-item active">
                            <a class="nav-link" href="{% url 'juguetes' %}">HOME <span class="sr-only">(current)</span></a>
                        </li>
                        <li class="nav-item dropdown">
                            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                CATEGORIAS
                            </a>
                            <div class="dropdown-menu" aria-labelledby="navbarDropdown">

                                {% for categoria in categorias %}
                                <a class="dropdown-item" href="#">{{categoria.nombre}}</a>
                                {% endfor %}

                            </div>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'acercade' %}" tabindex="-1" aria-disabled="true">ACERCA DE</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link" href="mailto:torresetania@gmail.com" tabindex="-1" aria-disabled="true">CONTACTO</a>
                        </li>
                        {% if request.user.is_staff %}
                        <li class="nav-item">
                            <a class="nav-link" href="{% url 'agregar_producto' %}" tabindex="-1" aria-disabled="true">NUEVO PRODUCTO</a>
                        </li>
                        {% endif %}
                    </ul>
<!-- Buscador -->
                    <form class="form-inline my-2 my-lg-0" method="get">
                       <input class="form-control mr-sm-2" type="search" placeholder="Search" aria-label="Search" name="busqueda">
                       <button class="btn btn-info my-2 my-sm-0" type="submit">Search</button>
                    </form>

                </div>
            </nav>	
		</header>
		
		<main class="container">
		


		
		
			{% if messages %}
				<div class="row mt-3 mb-3">
					<div class="col-12">
				        {% for message in messages %}
							<div class="alert alert-{{ message.tags }}">
						        {{ message }}
							</div>
						{% endfor %}
					</div>
			    </div>
			{% endif %}
			
			
		
			{% block content %}
			

			
			{% endblock %}
			
			
	    </main>
	    
		<footer class="mt-3">
			<div class="card-footer bg-dark">
				<small class="text-muted">Todos los derechos reservados. © Torrese INC 2021.</small>
				<small class="text-muted">Desarrollador: Tania Elizabeth Torres</small>
			</div>
		</footer>
	  

		<script src="{% static 'js/jquery.slim.min.js' %}"></script>
		<script src="{% static 'js/popper.min.js' %}"></script>
		<script src="{% static 'js/bootstrap.min.js' %}"></script>
	</body>

</html>